Qt 5.7 | Qt Data Visualization | C++ Classes | QBarDataItem

Qt 5.7.1 Reference Documentation

# QBarDataItem Class

The QBarDataItem class provides a container for resolved data to be added to bar graphs. More...

Header: | #include <QBarDataItem>
Since: | QtDataVisualization 1.0

- List of all members, including inherited members

## Public Functions

| QBarDataItem()
| QBarDataItem(float value)
| QBarDataItem(float value, float angle)
| QBarDataItem(const QBarDataItem &other)
| ~QBarDataItem()
float | rotation() const
void | setRotation(float angle)
void | setValue(float val)
float | value() const
QBarDataItem & | operator=(const QBarDataItem &other)

## Detailed Description

The QBarDataItem class provides a container for resolved data to be added to bar graphs.

A QBarDataItem holds data for a single rendered bar in a graph. Bar data proxies parse data into QBarDataItem instances for visualizing.

See also QBarDataProxy and Qt Data Visualization C++ Classes.

## Member Function Documentation

### QBarDataItem::QBarDataItem()

Constructs QBarDataItem.

### QBarDataItem::QBarDataItem(float value)

Constructs QBarDataItem with value.

### QBarDataItem::QBarDataItem(float value, float angle)

Constructs QBarDataItem with value and angle

### QBarDataItem::QBarDataItem(const QBarDataItem &other)

Constructs a copy of other.

### QBarDataItem::~QBarDataItem()

Destroys QBarDataItem.

### float QBarDataItem::rotation() const

Returns rotation angle in degrees for this data item.

See also setRotation().

### void QBarDataItem::setRotation(float angle)

Sets rotation angle in degrees for this data item.

See also rotation().

### void QBarDataItem::setValue(float val)

Sets value val to this data item.

See also value().

### float QBarDataItem::value() const

Returns value of this data item.

See also setValue().

### QBarDataItem &QBarDataItem::operator=(const QBarDataItem &other)

Assigns a copy of other to this object.